import {
  Button as MantineButton,
  ButtonProps as MantineButtonProps,
} from "@mantine/core";
import { forwardRef, ComponentPropsWithoutRef } from "react";

type ButtonProps = MantineButtonProps & ComponentPropsWithoutRef<"button">;

const Button = forwardRef<HTMLButtonElement, ButtonProps>((props, ref) => {
  return <MantineButton fullWidth ref={ref} {...props} />;
});

export default Button;
